com.r3corda.core.crypto / DigitalSignature / WithKey

# WithKey

`open class WithKey : DigitalSignature`

A digital signature that identifies who the public key is owned by.

### Constructors

<init> | `WithKey(by: PublicKey, bits: ByteArray)` A digital signature that identifies who the public key is owned by.

### Properties

by | `val by: PublicKey`

### Functions

verifyWithECDSA | `fun verifyWithECDSA(content: ByteArray): Unit` `fun verifyWithECDSA(content: OpaqueBytes): Unit`

### Inheritors

LegallyIdentifiable | `class LegallyIdentifiable : WithKey`
NullSignature | `object NullSignature : WithKey` A signature with a key and value of zero. Useful when you want a signature object that you know wont ever be used.